Solaris 9 Installation Guide

Upgrading, Error Messages

No upgradable disks


A swap entry in the /etc/vfstab file is causing the upgrade to fail.


Comment out the following lines in the /etc/vfstab file:

  • All swap files and slices on disks not being upgraded

  • Swap files that are no longer present

  • Any unused swap slices

usr/bin/bzczt not found


Solaris Live Upgrade fails because of needing a patch cluster.


A patch is needed to install Solaris Live Upgrade. Go to for the patch.

Upgradeable Solaris root devices were found, however, no suitable partitions to hold the Solaris install software were found. Upgrading using the Solaris Installer is not possible. It might be possible to upgrade using the Solaris Operating Environment 1 of 2 CDROM. (x86 based systems only)


You cannot upgrade with Solaris 9 x86 Platform Edition Installation CD because you do not have enough space.


To upgrade, you can either create a swap slice that is larger than or equal to 512 Mbytes or use another method of upgrading such as the following:

  • The Solaris Web Start program from Solaris 9 DVD or a net installation image

  • The Solaris suninstall program from the Solaris 9 Software 1 of 2 x86 Platform Edition CD

  • Custom JumpStart